@import 'normalize.css';

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;700;1,100&display=swap');

/*  GENERAL VALUES */

html {
    line-height: normal;
}

body {
    font-family: 'Roboto', Helvetica, Arial, Helvetica, sans-serif;
}

h1 {
    font-weight: 700;
    font-size: 24px;
}

p {
    font-size: 16px;
}

a {
    color: white;
}

a:hover {
    color: rgba(255, 255, 255, 0.4);
}

/*  HEADER */

header {
    height: 300px;
    background-color: #76bcda;
    position: relative;
}
    
header img {
    position: absolute;
    top:50%;
    left: 50%;
    margin: auto;
    transform: translate(-50%, -50%);
    animation: animation_header 2s;
}

/*  MAIN */

main {
    padding: 30px;
}

section {
    overflow: hidden;
}

section>p {
    margin-bottom: 30px;
}

section > article {
    margin-right: -4px; /* eliminar espacios generados por inline-block */

    display: inline-block;
    width: 260px;
}

section>article:first-of-type {
    margin-right: 10px;
}

section>article:last-of-type {
    margin-left: 10px;
}

.image_article {
    height: 140px;
    width: 260px;
    background-color:#183642;
    position: relative;

    transition: all 400ms cubic-bezier(.47,1.64,.41,.8);
    cursor:pointer;  
}

.image_article:hover {
    transform: scale(.85);
    opacity: .9;
    background-color: #042730;

  }

.image_article img {
    position: absolute;
    top:50%;
    left: 50%;
    width: 100px;
    margin: auto;
    transform: translate(-50%, -50%);
}

section>article>p {
    margin-top: 30px;
}

/*  FOOTER */

footer {
    background-color: #eb4c54;
    padding: 30px;
}

footer>div {
    margin-right: -4px; /* eliminar espacios generados por inline-block */
    
    display: inline-block;
    width: 50%;
}

/*  CLASS */

.copyright {
    color: white;
    font-size: 14px;
}

.icons {
    text-align: right;
}

.icons>a {
    padding-left: 20px;
}

.icons>a:hover {
    opacity: 0.5;
}

/*  ID */

#container {
    width: 600px;
    border: 2px solid #cacaca;
    margin: 0 auto;
    margin-top: 10px;
}

/* ANIMATION */


    
@keyframes animation_header {
    0% {
        transform: translate(-50%, -60%);
        opacity: 0;
        }
    100% {
        transform: translate(-50%, -50%);
        opacity: 1;
    }
  }
